#include <iostream>
#include <ctime>

using namespace std;

int main()
{
    srand(time(NULL));
    int n;
    cin>>n;
    int a[n],b[n];
    for(int i=0;i<n-1;i++){
        cin>>a[i]>>b[i];
    }
    int x = rand()%2+1;
    cout<<x;
    return 0;
}